Package org.apache.storm.generated

## Class Nimbus.Processor<I extends Nimbus.Iface>

- java.lang.Object
- - org.apache.storm.thrift.TBaseProcessor<I>
  - - org.apache.storm.generated.Nimbus.Processor<I>

- All Implemented Interfaces:
    `org.apache.storm.thrift.TProcessor`
  Enclosing class:
    Nimbus

      public static class Nimbus.Processor<I extends Nimbus.Iface>
      extends org.apache.storm.thrift.TBaseProcessor<I>
      implements org.apache.storm.thrift.TProcessor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Nimbus.Processor.activate<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.beginBlobDownload<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.beginCreateBlob<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.beginFileUpload<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.beginUpdateBlob<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.cancelBlobUpload<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.createStateInZookeeper<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.deactivate<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.debug<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.deleteBlob<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.downloadBlobChunk<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.downloadChunk<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.finishBlobUpload<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.finishFileUpload<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getBlobMeta<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getBlobReplication<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getClusterInfo<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getComponentPageInfo<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getComponentPendingProfileActions<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getLeader<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getLogConfig<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getNimbusConf<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getOwnerResourceSummaries<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getSupervisorAssignments<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getSupervisorPageInfo<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopology<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologyConf<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologyHistory<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologyInfo<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologyInfoByName<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologyInfoByNameWithOpts<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologyInfoWithOpts<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologyPageInfo<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologySummaries<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologySummary<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getTopologySummaryByName<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.getUserTopology<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.isRemoteBlobExists<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.isTopologyNameAllowed<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.killTopology<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.killTopologyWithOpts<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.listBlobs<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.processWorkerMetrics<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.rebalance<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.sendSupervisorWorkerHeartbeat<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.sendSupervisorWorkerHeartbeats<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.setBlobMeta<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.setLogConfig<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.setWorkerProfiler<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.submitTopology<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.submitTopologyWithOpts<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.updateBlobReplication<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.uploadBlobChunk<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.uploadChunk<I extends Nimbus.Iface>` |
    `static class` | `Nimbus.Processor.uploadNewCredentials<I extends Nimbus.Iface>` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `Processor​(I iface)` |
    `protected` | `Processor​(I iface, Map<String,​org.apache.storm.thrift.ProcessFunction<I,​? extends org.apache.storm.thrift.TBase>> processMap)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.storm.thrift.TBaseProcessor

      `getProcessMapView, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.thrift.TProcessor

      `process`

- - ### Constructor Detail

    - #### Processor

          public Processor​(I iface)

    - #### Processor

          protected Processor​(I iface,
                              Map<String,​org.apache.storm.thrift.ProcessFunction<I,​? extends org.apache.storm.thrift.TBase>> processMap)